log4shib 2.0.0

Public Member Functions | List of all members
log4shib::threading::ScopedLock Class Reference

definition of ScopedLock; More...

`#include <PThreads.hh>`

## Public Member Functions
| ScopedLock (Mutex &mutex)
| ~ScopedLock ()

## Detailed Description

definition of ScopedLock;

## Constructor & Destructor Documentation

## ◆ ScopedLock()

log4shib::threading::ScopedLock::ScopedLock | ( | Mutex & | mutex | ) |
| inline

## ◆ ~ScopedLock()

log4shib::threading::ScopedLock::~ScopedLock | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- PThreads.hh